Class | ActiveMerchant::Billing::Integrations::Notification
In: | lib/active_merchant/billing/integrations/notification.rb
Parent: | Object

### Methods

amount empty! gross gross_cents new status valid_sender?

### Attributes

params | [RW] |
raw | [RW] |

### Public Class methods

new(post, options = {})

### Public Instance methods

amount()

This combines the gross and currency and returns a proper Money object. this requires the money library located at dist.leetsoft.com/api/money

empty!()

reset the notification.

gross()

the money amount we received in X.2 decimal.

gross_cents()
status()
valid_sender?(ip)

Check if the request comes from an official IP

[Validate]